Buteo Synchronization Framework: Buteo::ClientThread Class Reference

Buteo Synchronization Framework

Signals | Public Member Functions | Protected Member Functions | List of all members
Buteo::ClientThread Class Reference

Thread for client plugins. More...

`#include <ClientThread.h>`

Inheritance diagram for Buteo::ClientThread:

## Signals
void | initError (const QString &aProfileName, const QString &aMessage, SyncResults::MinorCode aErrorCode)
| Emitted when synchronization cannot be started due to an error in plugin initialization. More...

## Public Member Functions
| ClientThread ()
| Constructor.
virtual | ~ClientThread ()
| Destructor.
QString | getProfileName () const
| Returns profile that this thread is running. More...
ClientPlugin * | getPlugin () const
| Returns plugin that this thread is running. More...
bool | startThread (ClientPlugin *aClientPlugin)
| Starts client thread. More...
void | stopThread ()
| Stops client thread.
SyncResults | getSyncResults ()
| Returns the results for this particular thread.

## Protected Member Functions
virtual void | run ()
| overriding method for QThread::run

## Detailed Description

Thread for client plugins.

## Member Function Documentation

## ◆ getPlugin()

ClientPlugin * ClientThread::getPlugin | ( |  | ) | const

Returns plugin that this thread is running.

Returns
  Plugin

## ◆ getProfileName()

QString ClientThread::getProfileName | ( |  | ) | const

Returns profile that this thread is running.

Returns
  Profile name

## ◆ initError

void Buteo::ClientThread::initError | ( | const QString & | aProfileName,
|  | const QString & | aMessage,
|  | SyncResults::MinorCode | aErrorCode
| ) |  |
| signal

Emitted when synchronization cannot be started due to an error in plugin initialization.

Parameters

  aProfileName | Name of the profile being synchronized
  aMessage | Message data related to error event
  aErrorCode | Error code

## ◆ startThread()

bool ClientThread::startThread | ( | ClientPlugin * | aClientPlugin | ) |

Starts client thread.

Parameters

  aClientPlugin | Client plug-in to run. Plug-in is owned by the caller, and must not be deleted while the thread is running.

Returns
  True on success, otherwise false

The documentation for this class was generated from the following files:

- ClientThread.h
- ClientThread.cpp
- moc_ClientThread.cpp